# frozen_string_literal: true

module Yext
  module Api
    module Enumerations
      class ErrorCodes
        # Locations error codes
        #
        # http://developer.yext.com/docs/error-messages/#locations-errors

        # rubocop:disable Metrics/ModuleLength
        module LocationsErrors
          include Yext::Api::Concerns::EnumAll

          LOCATION_NOT_FOUND                                = 2000
          CANNOT_ACCESS_LOCATION                            = 2001
          PROFILE_DOES_NOT_EXIST_FOR_LANGUAGE               = 2002
          CANNOT_REMOVE_PRIMARY_PROFILE                     = 2003
          INVALID_START_VALUE                               = 2004
          INVALID_LIMIT_VALUE                               = 2005
          LOCATION_NOT_UPDATED                              = 2006
          LANGUAGE_PROFILES_NOT_ENABLED                     = 2007
          DUPLICATE_LOCATION_ID                             = 2008
          ERROR_LOADING_PHOTO                               = 2009
          INVALID_KEYWORD                                   = 2010
          CUSTOM_KEYWORD_VALUES                             = 2011
          NON_EXISTENT_KEYWORD_OPTION                       = 2012
          KEYWORD_LIMIT_EXCEEDED                            = 2013
          LOCATION_UPDATE_FAILED                            = 2014
          LOCATION_UNKNOWN_FOLDER                           = 2015
          LOCATION_VALIDATION_FAILED                        = 2016
          LOCATION_ID_TAKEN                                 = 2017
          CANNOT_CHANGE_LOCATION_ID                         = 2018
          LOCATION_EMAIL_NULL                               = 2019
          LOCATION_ID_MAX                                   = 2020
          LOCATION_ID_LATIN1                                = 2021
          LOCATION_ID_TOO_LONG                              = 2022
          LOCATION_NAME_TOO_LONG                            = 2023
          LOCATION_ADDRESS_TOO_LONG                         = 2024
          LOCATION_ADDRESS2_TOO_LONG                        = 2025
          LOCATION_DISPLAY_ADDRESS_TOO_LONG                 = 2026
          LOCATION_SUBLOCALITY_TOO_LONG                     = 2027
          LOCATION_CITY_TOO_LONG                            = 2028
          LOCATION_STATE_TOO_LONG                           = 2029
          LOCATION_ZIP_TOO_LONG                             = 2030
          LOCATION_COUNTRY_TOO_LONG                         = 2031
          LOCATION_COUNTRY_INVALID                          = 2032
          LOCATION_LANGUAGE_TOO_LONG                        = 2033
          LOCATION_SPECIAL_OFFER_TOO_LONG                   = 2034
          LOCATION_SPECIAL_OFFER_URL_TOO_LONG               = 2035
          LOCATION_WEBSITE_TOO_LONG                         = 2036
          LOCATION_DISPLAY_WEBSITE_TOO_LONG                 = 2037
          LOCATION_RESERVATION_WEBSITE_TOO_LONG             = 2038
          LOCATION_DESCRIPTION_TOO_LONG                     = 2039
          LOCATION_ADDITIONAL_HOURS_TOO_LONG                = 2040
          LOCATION_YEAR_TOO_LONG                            = 2041
          LOCATION_TWITTER_TOO_LONG                         = 2042
          LOCATION_FACEBOOK_TOO_LONG                        = 2043
          LOCATION_FB_COVER_URL_REQUIRED                    = 2044
          LOCATION_FB_COVER_URL_TOO_LONG                    = 2045
          LOCATION_FB_COVER_URL_INVALID                     = 2046
          LOCATION_FACEBOOK_COVER_DESCRIPTION_TOO_LONG      = 2047
          LOCATION_FB_PROFILE_PIC_URL_REQUIRED              = 2048
          LOCATION_FB_PROFILE_PIC_URL_TOO_LONG              = 2049
          LOCATION_FB_PROFILE_PIC_URL_INVALID               = 2050
          LOCATION_FACEBOOK_PROFILE_DESCRIPTION_TOO_LONG    = 2051
          LOCATION_ASSOCIATIONS_EMPTY_ELEMENT               = 2052
          LOCATION_BRANDS_EMPTY_ELEMENT                     = 2053
          LOCATION_KEYWORDS_EMPTY_ELEMENT                   = 2054
          LOCATION_LANGUAGES_EMPTY_ELEMENT                  = 2055
          LOCATION_PRODUCTS_EMPTY_ELEMENT                   = 2056
          LOCATION_SERVICES_EMPTY_ELEMENT                   = 2057
          LOCATION_SPECIALTIES_EMPTY_ELEMENT                = 2058
          LOCATION_ASSOCIATIONS_LARGE_ELEMENT               = 2059
          LOCATION_BRANDS_LARGE_ELEMENT                     = 2060
          LOCATION_KEYWORDS_LARGE_ELEMENT                   = 2061
          LOCATION_LANGUAGES_LARGE_ELEMENT                  = 2062
          LOCATION_PRODUCTS_LARGE_ELEMENT                   = 2063
          LOCATION_SERVICES_LARGE_ELEMENT                   = 2064
          LOCATION_SPECIALTIES_LARGE_ELEMENT                = 2065
          LOCATION_ID_REQUIRED                              = 2066
          LOCATION_NAME_REQUIRED                            = 2067
          LOCATION_PHONE_REQUIRED                           = 2068
          LOCATION_COUNTRY_NOT_ELIGIBLE                     = 2069
          LOCATION_COUNTRY_NOT_MUTABLE                      = 2070
          LOCATION_COUNTRY_NONE_ELIGIBLE                    = 2071
          LOCATION_ADDRESS_REQUIRED                         = 2072
          LOCATION_ADDRESS2_REQUIRED                        = 2073
          LOCATION_DISPLAY_ADDRESS_REQUIRED                 = 2074
          LOCATION_CITY_REQUIRED                            = 2075
          LOCATION_STATE_REQUIRED                           = 2076
          LOCATION_ZIP_REQUIRED                             = 2077
          LOCATION_SUBLOCALITY_REQUIRED                     = 2078
          LOCATION_CATEGORIES_REQUIRED                      = 2079
          LOCATION_ADDRESS_INVALID                          = 2080
          LOCATION_ADDRESS_PO_BOX                           = 2081
          LOCATION_ADDRESS2_PO_BOX                          = 2082
          LOCATION_DISPLAY_ADDRESS_PO_BOX                   = 2083
          LOCATION_SUBLOCALITY_INVALID                      = 2084
          LOCATION_STATE_INVALID                            = 2085
          LOCATION_ZIP_INVALID                              = 2086
          LOCATION_PHONE_INVALID                            = 2087
          LOCATION_LOCAL_PHONE_INVALID                      = 2088
          LOCATION_ALTERNATE_PHONE_INVALID                  = 2089
          LOCATION_FAX_PHONE_INVALID                        = 2090
          LOCATION_MOBILE_PHONE_INVALID                     = 2091
          LOCATION_TOLL_FREE_PHONE_INVALID                  = 2092
          LOCATION_TTY_PHONE_INVALID                        = 2093
          LOCATION_TRACKED_LOCAL_PHONE                      = 2094
          LOCATION_LOCAL_PHONE_NON_TOLL_FREE                = 2095
          LOCATION_DISPLAY_LAT_INVALID                      = 2096
          LOCATION_ROUTABLE_LAT_INVALID                     = 2097
          LOCATION_DISPLAY_LNG_INVALID                      = 2098
          LOCATION_ROUTABLE_LNG_INVALID                     = 2099
          LOCATION_CATEGORIES_BOTH_PROVIDED                 = 2101
          LOCATION_CATEGORIES_EMPTY                         = 2102
          LOCATION_WEBSITE_INVALID                          = 2103
          LOCATION_DISPLAY_WEBSITE_INVALID                  = 2104
          LOCATION_RESERVATION_WEBSITE_INVALID              = 2105
          LOCATION_SPECIAL_OFFER_WEBSITE_INVALID            = 2106
          LOCATION_VIDEO_WEBSITE_INVALID                    = 2107
          LOCATION_EMAIL_TOO_LONG                           = 2108
          LOCATION_EMAILS_MAX_EXCEEDED                      = 2109
          LOCATION_PROMOTIONS_MAX_EXCEEDED                  = 2110
          LOCATION_IS_CLOSED_INVALID                        = 2112
          LOCATION_CLOSED_DATE_SPECIFIED                    = 2113
          LOCATION_CLOSED_DATE_INVALID                      = 2114
          LOCATION_LOGO_URL_REQUIRED                        = 2115
          LOCATION_PHOTO_URL_REQUIRED                       = 2116
          LOCATION_LIST_LABELS_INVALID                      = 2117
          PROFILE_LANGUAGE_REQUIRED                         = 2118
          PROFILE_LANGUAGE_USED                             = 2119
          PROFILE_LANGUAGE_INELIGIBLE                       = 2120
          PROFILE_FIELD_RESTRICTED                          = 2121
          PROFILE_FIELD_HAS_ASSET                           = 2122
          LOCATION_FB_COVER_NARROW                          = 2123
          LOCATION_FB_PROFILE_PIC_NARROW                    = 2124
          LOCATION_FB_PROFILE_PIC_SHORT                     = 2125
          LOCATION_HOURS_INVALID                            = 2126
          LOCATION_HOLIDAY_HOURS_DATE_REQUIRED              = 2127
          LOCATION_HOLIDAY_HOURS_HOUR_REQUIRED              = 2128
          LOCATION_HOLIDAY_HOURS_DUPLICATE_DATE             = 2129
          LOCATION_HOLIDAY_HOURS_INVALID                    = 2130
          LOCATION_HOLIDAY_TIMES_DATE_REQUIRED              = 2131
          LOCATION_HOLIDAY_TIMES_TIME_REQUIRED              = 2132
          LOCATION_HOLIDAY_TIMES_DUPLICATE_DATE             = 2133
          LOCATION_HOLIDAY_TIMES_INVALID                    = 2134
          LOCATION_CATEGORIES_INVALID                       = 2135
          LOCATION_CATEGORIES_UNSELECTABLE                  = 2136
          LOCATION_CATEGORIES_NOT_APPLICABLE                = 2137
          LOCATION_CATEGORIES_CHAIN_EXCEEDED                = 2138
          LOCATION_CATEGORIES_MAX_EXCEEDED                  = 2139
          LOCATION_CATEGORIES_COUNTRY_INVALID               = 2140
          LOCATION_LANGUAGE_INVALID                         = 2141
          LOCATION_LANGUAGE_INELIGIBLE                      = 2142
          LOCATION_LANGUAGE_UNABLE_TO_VALIDATE              = 2143
          LOCATION_LIST_ID_REQUIRED                         = 2144
          LOCATION_LIST_ID_NONEXISTENT                      = 2145
          LOCATION_LIST_ID_DUPLICATE                        = 2146
          LOCATION_LIST_TOO_MANY                            = 2147
          LOCATION_LIST_LABEL_NONEXISTENT                   = 2148
          LOCATION_LIST_LABEL_TOO_LONG                      = 2149
          LOCATION_CUSTOM_FIELDS_INVALID_BOOLEAN            = 2150
          LOCATION_CUSTOM_FIELDS_TEXT_LIMIT                 = 2151
          LOCATION_CUSTOM_FIELDS_INVALID_DATE               = 2152
          LOCATION_CUSTOM_FIELDS_INVALID_NUMBER             = 2153
          LOCATION_CUSTOM_FIELDS_EMPTY_HOURS                = 2154
          LOCATION_CUSTOM_FIELDS_HOURS_INVALID              = 2155
          LOCATION_CUSTOM_FIELDS_HOURS_TOO_LONG             = 2156
          LOCATION_CUSTOM_FIELDS_EMPTY_DAILY_TIMES          = 2157
          LOCATION_CUSTOM_FIELDS_DAILY_TIMES_INVALID        = 2158
          LOCATION_CUSTOM_FIELDS_MULTILINE_LIMIT            = 2159
          LOCATION_CUSTOM_FIELDS_INVALID_URL                = 2160
          LOCATION_CUSTOM_FIELDS_TOO_MANY_ITEMS             = 2161
          LOCATION_CUSTOM_FIELDS_EMPTY_ITEMS                = 2162
          LOCATION_CUSTOM_FIELDS_MAX_CHARS                  = 2163
          LOCATION_CUSTOM_FIELDS_PHOTO_URL_REQUIRED         = 2164
          LOCATION_CUSTOM_FIELDS_GALLERY_URL_REQUIRED       = 2165
          LOCATION_CUSTOM_FIELDS_INVALID_OPTION             = 2166
          LOCATION_CUSTOM_FIELDS_INVALID_OPTIONS            = 2167
          LOCATION_CUSTOM_FIELDS_UNALLOWED_OPTION           = 2168
          LOCATION_CUSTOM_FIELDS_UNALLOWED_OPTIONS          = 2169
          LOCATION_SPECIAL_OFFER_EMPTY                      = 2170
          PROFILE_LANGUAGE_INVALID                          = 2171
          LOCATION_IOS_APP_URL_INVALID                      = 2172
          LOCATION_ANDROID_APP_URL_INVALID                  = 2173
          LOCATION_INSTAGRAM_TOO_LONG                       = 2174
          LOCATION_INSTAGRAM_INVALID                        = 2175
          LOCATION_WIFI_NETWORK_NAME_REQUIRED               = 2176
          LOCATION_IN_STORE_COUPON_HEADLINE_REQUIRED        = 2177
          LOCATION_IN_STORE_COUPON_HEADLINE_TOO_LONG        = 2178
          LOCATION_IN_STORE_COUPON_DETAIL_REQUIRED          = 2179
          LOCATION_IN_STORE_COUPON_DETAIL_TOO_LONG          = 2180
          LOCATION_IN_STORE_COUPON_BARCODE_TYPE_REQUIRED    = 2181
          LOCATION_IN_STORE_COUPON_BARCODE_TYPE_INVALID     = 2182
          LOCATION_IN_STORE_COUPON_BARCODE_CONTENT_REQUIRED = 2183
          LOCATION_IN_STORE_COUPON_EXPIRATION_INVALID       = 2184
          LOCATION_IN_STORE_CONTACT_TOO_LONG                = 2185
          PROFILE_NO_XONE                                   = 2186
          LOCATION_CUSTOM_FIELDS_VIDEO_URL_REQUIRED         = 2187
          LOCATION_CUSTOM_FIELDS_VIDEO_INVALID_URL          = 2188
          LOCATION_CUSTOM_FIELDS_VIDEO_DESCRIPTION_TOO_LONG = 2189
          INVALID_SEARCH_IDS                                = 2190
          LOCATION_GMB_COVER_URL_REQUIRED                   = 2191
          LOCATION_GMB_COVER_URL_TOO_LONG                   = 2192
          LOCATION_GMB_COVER_URL_INVALID                    = 2193
          LOCATION_GMB_COVER_DESCRIPTION_TOO_LONG           = 2194
          LOCATION_GMB_PROFILE_PIC_URL_REQUIRED             = 2195
          LOCATION_GMB_PROFILE_PIC_URL_TOO_LONG             = 2196
          LOCATION_GMB_PROFILE_PIC_URL_INVALID              = 2197
          LOCATION_GMB_PROFILE_DESCRIPTION_TOO_LONG         = 2198
          LOCATION_GMB_COVER_SIZE                           = 2199
          LOCATION_GMB_COVER_RATIO                          = 2200
          LOCATION_GMB_PROFILE_SIZE                         = 2201
          LOCATION_GMB_PROFILE_RATIO                        = 2202
          LOCATION_SERVICE_AREA_INVALID_RADIUS              = 2203
          LOCATION_SERVICE_AREA_MISSING_UNITS               = 2204
          LOCATION_SERVICE_AREA_INVALID_UNITS               = 2205
          LOCATION_SERVICE_AREA_TOO_MANY_PLACES             = 2206
          LOCATION_GMB_WEBSITE_OVERRIDE_TOO_LONG            = 2207
          LOCATION_GMB_WEBSITE_OVERRIDE_INVALID_URL         = 2208
          LOCATION_IOS_APP_BAD_URL                          = 2209
          LOCATION_ANDROID_APP_BAD_URL                      = 2210
          LOCATION_HOLIDAY_HOURS_PAST_DATE                  = 2211
          LOCATION_HOLIDAY_HOURS_INVALID_INTERVAL           = 2212
          LOCATION_HOURS_INVALID_INTERVAL                   = 2213
          LOCATION_CUSTOM_FIELD_HOURS_INVALID_INTERVAL      = 2214
          LOCATION_HOLIDAY_TIMES_PAST_DATE                  = 2215
          LOCATION_INVALID_GASSTATION_FEATURE               = 2216
          LOCATION_INVALID_LABEL                            = 2217
          LOCATION_LABEL_LOAD_FAILED                        = 2218
          LOCATION_INVALID_GOOGLE_PREFERRED_PHOTO           = 2219
          LOCATION_INVALID_GENDER                           = 2220
          LOCATION_HEADSHOT_URL_REQUIRED                    = 2221
          LOCATION_INVALID_LOCATION_TYPE                    = 2222
          LOCATION_INVALID_EDUCATION_TYPE                   = 2223
          INVALID_LOCATION_TYPE                             = 2224
          LOCATION_INVALID_UBER_LINK_TYPE                   = 2225
          LOCATION_DUPLICATE_LANGUAGE                       = 2226
          CANNOT_UPDATE_FACEBOOK_PAGE_URL                   = 2227
          SERVICE_AREA_BOTH_SPECIFIED                       = 2228
          GALLERY_PHOTO_URL_INVALID                         = 2229
          CANNOT_LOAD_GALLERY_PHOTO                         = 2230
          CANNOT_LOAD_PHOTO                                 = 2231
          LOCATION_CUSTOM_FIELDS_UNKNOWN_FIELD              = 2232
          LOCATION_CUSTOM_FIELDS_INVALID_FORMAT             = 2233
          LOCATION_INVALID_RANK_TRACKING_FREQUENCY          = 2234
          LOCATION_INVALID_RANK_TRACKING_KEYWORD            = 2235
          LOCATION_INVALID_RANK_TRACKING_QUERY_TEMPLATE     = 2236
          LOCATION_INVALID_RANK_TRACKING_SITE               = 2237
          LOCATION_NOT_FOUND_404                            = 2238
          LOCATION_INVALID_NPI                              = 2239
          CUSTOM_FIELD_NO_ACCESS                            = 3500
          CUSTOM_FIELD_INVALID                              = 3501
          CUSTOM_FIELD_NOT_OPTION_TYPE                      = 3502
          CUSTOM_FIELD_NO_GROUP                             = 3503
          CUSTOM_FIELD_VALIDATION_RULE_ERROR                = 3504
          CUSTOM_FIELD_FIELD_TYPE_ERROR                     = 3505
        end
        # rubocop:enable Metrics/ModuleLength
      end
    end
  end
end
